# Get Page content

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/pagecontent/get/

`GET /unified/knowledge-base/page-content/{id}`

Resource: **PageContent** · API: **Unified Knowledge Base API**

## Supported integrations

Discourse

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  The unique identifier for the page content
- **`sequence`** _(integer)_
  The order of the page content in the context of a page. Will increase sequentially from 0.
- **`page`** _(object)_
  The page the content belongs to
  - **`id`** _(string)_
    The unique identifier for the page
- **`page_type`** _(string)_
  The type of the page
  Allowed: `landing-pages`, `site-pages`, `blog-posts`
- **`parent`** _(object)_
  The parent of the page content
  - **`id`** _(string)_
    The unique identifier for the parent page content
  - **`type`** _(string)_
    The type of the parent
- **`has_children`** _(boolean)_
  Whether the page content has children
- **`body`** _(object)_
  The body of the page content
  - **`format`** _(string)_
    The format of the body
    Allowed: `markdown`, `html`, `plaintext`
  - **`content`** _(string)_
    The content of the body
- **`urls`** _(array<object>)_
  The URLs of the files attached in the page content
  - **`url`** _(string)_
    The URL of the file
  - **`type`** _(string)_
    The URL type of the file
    Allowed: `original_url`, `truto_download`
- **`created_at`** _(string)_
  The date and time the page content was created
- **`updated_at`** _(string)_
  The date and time the page content was last updated
- **`visibility`** _(string)_
  The visibility of the page
  Allowed: `private`, `public`
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/knowledge-base/page-content/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/knowledge-base/page-content/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/knowledge-base/page-content/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'knowledge-base',
  'pagecontent',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "knowledge-base",
        "pagecontent",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
